aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorDavid Bremner <david@tethera.net>2015-08-01 11:44:56 +0200
committerDavid Bremner <david@tethera.net>2015-08-07 21:18:59 +0200
commitd0553ad524f241ba42f685cba6745c8a3a9ba20a (patch)
treebd5365e0c7067ae78c6828bfd7dc8442155c09b5 /test
parent03aff8499d55614377d01e0296a4f186e0ed8735 (diff)
emacs: make modifications to message Fcc vars buffer-local
Previously we globally modified these variables, which tended to cause problems for people using message-mode, but not notmuch-mua-mail, to send mail. User visible changes: - Calling notmuch-fcc-header-setup is no longer optional. OTOH, it seems to do the right thing if notmuch-fcc-dirs is set to nil. - The Fcc header is visible during message composition - The name in the mode line is changed, and no longer matches exactly the menu label. - Previously notmuch-mua-send-and-exit was never called. Either we misunderstood define-mail-user-agent, or it had a bug. So there was no difference if the user called message-send-and-exit directly. Now there will be. - User bindings to C-c C-c and C-c C-s in message-mode-map are overridden. The user can override them in notmuch-message-mode-map, but then they're on their own for Fcc handling.
Diffstat (limited to 'test')
-rw-r--r--test/test-lib.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/test-lib.sh b/test/test-lib.sh
index db3b6aa1..eeb5487b 100644
--- a/test/test-lib.sh
+++ b/test/test-lib.sh
@@ -487,7 +487,7 @@ emacs_deliver_message ()
(message-goto-body)
(insert \"${body}\")
$@
- (message-send-and-exit))"
+ (notmuch-mua-send-and-exit))"
# In case message was sent properly, client waits for confirmation
# before exiting and resuming control here; therefore making sure
@@ -522,7 +522,7 @@ emacs_fcc_message ()
(message-goto-body)
(insert \"${body}\")
$@
- (message-send-and-exit))" || return 1
+ (notmuch-mua-send-and-exit))" || return 1
notmuch new >/dev/null
}